Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# cid.cpp File Reference

`#include "cid.hpp"`
`#include "XMLSchema/TypeInfo.hpp"`

Include dependency graph for cid.cpp:

## Namespaces
namespace | CIAO
namespace | CIAO::Config_Handlers
namespace | CIAO::Config_Handlers::Traversal
namespace | CIAO::Config_Handlers::Writer
## Classes
struct | CIAO::Config_Handlers::SubcomponentInstantiationDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::SubcomponentPropertyReferenceTypeInfoInitializer
struct | CIAO::Config_Handlers::AssemblyPropertyMappingTypeInfoInitializer
struct | CIAO::Config_Handlers::ComponentAssemblyDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::MonolithicImplementationDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::ComponentImplementationDescriptionTypeInfoInitializer
## Functions
::XMLSchema::TypeInfoInitializer< ACE_TCHAR > | XMLSchemaTypeInfoInitializer_ (::XSCRT::extended_type_info_map())
## Variables
SubcomponentInstantiationDescriptionTypeInfoInitializer | SubcomponentInstantiationDescriptionTypeInfoInitializer_
SubcomponentPropertyReferenceTypeInfoInitializer | SubcomponentPropertyReferenceTypeInfoInitializer_
AssemblyPropertyMappingTypeInfoInitializer | AssemblyPropertyMappingTypeInfoInitializer_
ComponentAssemblyDescriptionTypeInfoInitializer | ComponentAssemblyDescriptionTypeInfoInitializer_
MonolithicImplementationDescriptionTypeInfoInitializer | MonolithicImplementationDescriptionTypeInfoInitializer_
ComponentImplementationDescriptionTypeInfoInitializer | ComponentImplementationDescriptionTypeInfoInitializer_

## Function Documentation

::XMLSchema::TypeInfoInitializer< ACE_TCHAR > XMLSchemaTypeInfoInitializer_ | ( | ::XSCRT:: | extended_type_info_map() | ) | `[static]`

## Variable Documentation

AssemblyPropertyMappingTypeInfoInitializer CIAO::Config_Handlers::AssemblyPropertyMappingTypeInfoInitializer_`[static]`

ComponentAssemblyDescriptionTypeInfoInitializer CIAO::Config_Handlers::ComponentAssemblyDescriptionTypeInfoInitializer_`[static]`

ComponentImplementationDescriptionTypeInfoInitializer CIAO::Config_Handlers::ComponentImplementationDescriptionTypeInfoInitializer_`[static]`

MonolithicImplementationDescriptionTypeInfoInitializer CIAO::Config_Handlers::MonolithicImplementationDescriptionTypeInfoInitializer_`[static]`

SubcomponentInstantiationDescriptionTypeInfoInitializer CIAO::Config_Handlers::SubcomponentInstantiationDescriptionTypeInfoInitializer_`[static]`

SubcomponentPropertyReferenceTypeInfoInitializer CIAO::Config_Handlers::SubcomponentPropertyReferenceTypeInfoInitializer_`[static]`